Debian Bug report logs - #641898
libebook: e_book_get_changes always reports no changes in libebook evolution data server

version graph

Package: libebook1.2-9; Maintainer for libebook1.2-9 is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>;

Reported by: Chris Frey <cdfrey@foursquare.net>

Date: Sat, 17 Sep 2011 07:52:21 UTC

Severity: important

Tags: squeeze

Found in version evolution-data-server/2.30.3-2

Fixed in version 3.0.3-1

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#641898; Package libebook1.2-9. (Sat, 17 Sep 2011 07:52:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Frey <cdfrey@foursquare.net>:
New Bug report received and forwarded. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 17 Sep 2011 07:52:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Frey <cdfrey@foursquare.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libebook: e_book_get_changes always reports no changes in libebook evolution data server
Date: Sat, 17 Sep 2011 03:03:43 -0400
Subject: libebook: e_book_get_changes always reports no changes in libebook evolution data server
Package: libebook1.2-9
Version: 2.30.3-2
File: libebook
Severity: important

*** Please type your report below this line ***

When using the e_book_get_changes() function on Debian Squeeze, I am unable
to get it to return any changes, even if modifications are made to the
data via evolution.

This bug, along with some test code, was reported in Ubuntu at the following
URL, but did not get a satisfactory answer:

https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/658459

This bug seems to also be in stable Debian Squeeze.

I tested my own code on Debian Sid, with version 3.0.3, and it worked, so
it seems Squeeze-specific.

Note that this will affect other software that relies on this function
for checkpoint-style changes, such as opensync-plugin-evolution.


-- System Information:
Debian Release: 6.0.2
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.44 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages libebook1.2-9 depends on:
ii  libc6              2.11.2-10             Embedded GNU C Library: Shared lib
ii  libcamel1.2-14     2.30.3-2              The Evolution MIME message handlin
ii  libdbus-1-3        1.2.24-4+squeeze1     simple interprocess messaging syst
ii  libdbus-glib-1-2   0.88-2.1              simple interprocess messaging syst
ii  libedataserver1.2- 2.30.3-2              Utility library for evolution data
ii  libgconf2-4        2.28.1-6              GNOME configuration database syste
ii  libglib2.0-0       2.24.2-1              The GLib library of C routines
ii  libxml2            2.7.8.dfsg-2+squeeze1 GNOME XML library

libebook1.2-9 recommends no packages.

libebook1.2-9 suggests no packages.

-- no debconf information





Added tag(s) squeeze. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sat, 17 Sep 2011 08:12:32 GMT) Full text and rfc822 format available.

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sat, 17 Sep 2011 08:12:37 GMT) Full text and rfc822 format available.

Notification sent to Chris Frey <cdfrey@foursquare.net>:
Bug acknowledged by developer. (Sat, 17 Sep 2011 08:12:37 GMT) Full text and rfc822 format available.

Message #12 received at 641898-done@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Chris Frey <cdfrey@foursquare.net>, 641898-done@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Evolution] Bug#641898: libebook: e_book_get_changes always reports no changes in libebook evolution data server
Date: Sat, 17 Sep 2011 10:10:23 +0200
[Message part 1 (text/plain, inline)]
version: 3.0.3-1
tag 641898 squeeze
thanks
On sam., 2011-09-17 at 03:03 -0400, Chris Frey wrote:
> I tested my own code on Debian Sid, with version 3.0.3, and it worked, so
> it seems Squeeze-specific.

Ok so closing with version and tagging accordingly.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#641898; Package libebook1.2-9. (Sat, 17 Sep 2011 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 17 Sep 2011 09:06:10 GMT) Full text and rfc822 format available.

Message #17 received at 641898@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Chris Frey <cdfrey@foursquare.net>
Cc: 641898@bugs.debian.org
Subject: Re: [Evolution] Bug#641898: libebook: e_book_get_changes always reports no changes in libebook evolution data server
Date: Sat, 17 Sep 2011 11:04:42 +0200
[Message part 1 (text/plain, inline)]
On sam., 2011-09-17 at 04:42 -0400, Chris Frey wrote:
> Does this mean it is "closed" in Squeeze as well?  I was hoping for
> a fix in Squeeze (or at least keep it open).  I'm not sure what the tag means,
> and I don't see it via the web anymore.

Closing means the bug is fixed. Versioning indicates in which versions
it's present and in which it's fixed. Tagging squeeze means it's present
in squeeze.
> 
> Is there any flexibility with upgrading to 2.31.x or 2.32.x in squeeze?

Not really. There might be backports or you might ask for them.

> I'm guessing not, but is it worth testing them? 

It might be worth identifiying when the bug was closed upstream and see
if it's possible to backport that fix to stable. Not something I'll be
able to do soon though, but if you manage to identify a relevant patch,
that would definitely help.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#641898; Package libebook1.2-9. (Sat, 17 Sep 2011 09:54:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Frey <cdfrey@foursquare.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 17 Sep 2011 09:54:49 GMT) Full text and rfc822 format available.

Message #22 received at 641898@bugs.debian.org (full text, mbox):

From: Chris Frey <cdfrey@foursquare.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 641898@bugs.debian.org
Subject: Re: [Evolution] Bug#641898: libebook: e_book_get_changes always reports no changes in libebook evolution data server
Date: Sat, 17 Sep 2011 04:42:18 -0400
On Sat, Sep 17, 2011 at 10:10:23AM +0200, Yves-Alexis Perez wrote:
> version: 3.0.3-1
> tag 641898 squeeze
> thanks
> On sam., 2011-09-17 at 03:03 -0400, Chris Frey wrote:
> > I tested my own code on Debian Sid, with version 3.0.3, and it worked, so
> > it seems Squeeze-specific.
> 
> Ok so closing with version and tagging accordingly.

Does this mean it is "closed" in Squeeze as well?  I was hoping for
a fix in Squeeze (or at least keep it open).  I'm not sure what the tag means,
and I don't see it via the web anymore.

Is there any flexibility with upgrading to 2.31.x or 2.32.x in squeeze?
I'm guessing not, but is it worth testing them?

Thanks,
- Chris





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#641898; Package libebook1.2-9. (Fri, 23 Sep 2011 03:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Frey <cdfrey@foursquare.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Fri, 23 Sep 2011 03:30:04 GMT) Full text and rfc822 format available.

Message #27 received at 641898@bugs.debian.org (full text, mbox):

From: Chris Frey <cdfrey@foursquare.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 641898@bugs.debian.org
Subject: Re: [Evolution] Bug#641898: libebook: e_book_get_changes always reports no changes in libebook evolution data server
Date: Thu, 22 Sep 2011 23:17:19 -0400
On Sat, Sep 17, 2011 at 11:04:42AM +0200, Yves-Alexis Perez wrote:
> It might be worth identifiying when the bug was closed upstream and see
> if it's possible to backport that fix to stable. Not something I'll be
> able to do soon though, but if you manage to identify a relevant patch,
> that would definitely help.

I couldn't find anything upstream... the changes in upstream code were
too large to find a simple fix, but after much debugging, it ended up
being a one-liner in e_data_book_respond_get_changes().  I've confirmed
that this fixes my issue.

The patch is below.

I noticed that there is an upcoming point release, according to
http://www.debian.org/News/2011/20110919, and that there's a Sept 24
deadline for bugs and testing.  If this fix could be included in the
next Squeeze point release, I'd be happy and grateful!!

Thanks,
- Chris



From 15ad5dc232f493afef212a8217e82eedd0fe6e64 Mon Sep 17 00:00:00 2001
From: Chris Frey <cdfrey@foursquare.net>
Date: Thu, 22 Sep 2011 23:07:29 -0400
Subject: [PATCH] Fixed libedata-book's e_data_book_respond_get_changes(): missing array add

When building the get_changes DBUS response, the code forgot to add the
values to the response array, resulting in get_changes calls that never
returned any data.

This fixes Ubuntu bug:
https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/658459

and Debian bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=641898
---
 addressbook/libedata-book/e-data-book.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/addressbook/libedata-book/e-data-book.c b/addressbook/libedata-book/e-data-book.c
index 7794e8b..d7a2a80 100644
--- a/addressbook/libedata-book/e-data-book.c
+++ b/addressbook/libedata-book/e-data-book.c
@@ -620,6 +620,10 @@ e_data_book_respond_get_changes (EDataBook *book, guint32 opid, EDataBookStatus
 			/* Now change->vcard is owned by the GValue */
 
 			g_free (change);
+
+			/* append vals to array */
+			g_ptr_array_add(array, vals);
+
 			changes = g_list_remove (changes, change);
 		}
 
-- 
1.7.2.3





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#641898; Package libebook1.2-9. (Thu, 29 Sep 2011 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Frey <cdfrey@foursquare.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Thu, 29 Sep 2011 23:33:03 GMT) Full text and rfc822 format available.

Message #32 received at 641898@bugs.debian.org (full text, mbox):

From: Chris Frey <cdfrey@foursquare.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 641898@bugs.debian.org
Subject: Re: [Evolution] Bug#641898: libebook: e_book_get_changes always reports no changes in libebook evolution data server
Date: Thu, 29 Sep 2011 19:19:01 -0400
On Thu, Sep 22, 2011 at 11:17:19PM -0400, Chris Frey wrote:
> The patch is below.

Hi,

I haven't heard back yet, on this bug.  I'm *really* hoping that the fix
can be included in the next Debian update.

Is there anything I can do to help this process?

Thanks!
- Chris





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#641898; Package libebook1.2-9. (Fri, 30 Sep 2011 05:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Fri, 30 Sep 2011 05:15:03 GMT) Full text and rfc822 format available.

Message #37 received at 641898@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Chris Frey <cdfrey@foursquare.net>
Cc: 641898@bugs.debian.org
Subject: Re: [Evolution] Bug#641898: libebook: e_book_get_changes always reports no changes in libebook evolution data server
Date: Fri, 30 Sep 2011 07:10:45 +0200
[Message part 1 (text/plain, inline)]
On jeu., 2011-09-29 at 19:19 -0400, Chris Frey wrote:
> On Thu, Sep 22, 2011 at 11:17:19PM -0400, Chris Frey wrote:
> > The patch is below.
> 
> Hi,
> 
> I haven't heard back yet, on this bug.  I'm *really* hoping that the fix
> can be included in the next Debian update.

I guess it won't. I was [VAC] during a week and have quite some real
work right now, so don't hold your breathe.
> 
> Is there anything I can do to help this process?

Identifying the commit was really nice and it looks tiny enough that
stable release team would accept it, but I need to take some time to
build and upload it, and I won't have it before next week.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Oct 2011 07:37:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:10:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.